/*******************************************************************************
 * Copyright (c) 2008-2011 VMware, Inc.  All rights reserved.
 *
 * This file is part of the esxboot project.
 *
 * esxboot is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation version 2 and no later version.
 *
 * esxboot is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License version 2 for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 ******************************************************************************/

#ifndef SYSLOG_H_
#define SYSLOG_H_

#define LOG_EMERG    0     /* system is unusable */
#define LOG_ALERT    1     /* action must be taken immediately */
#define LOG_CRIT     2     /* critical conditions */
#define LOG_ERR      3     /* error conditions */
#define LOG_WARNING  4     /* warning conditions */
#define LOG_NOTICE   5     /* normal but significant condition */
#define LOG_INFO     6     /* informational */
#define LOG_DEBUG    7     /* debug-level messages */

#endif /* !SYSLOG_H_ */
